#!/usr/perl5/bin/perl -w
#
# Copyright 2002-2003 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ident	"@(#)readfile_local.pl	1.2	03/01/07 SMI"
#
# Read the specified file on the local node

require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Cgi;

# Create the html query object
my $q = new Cluster::Cgi;
print $q->header();

# Get the filename to read
my $file = $q->param("file");

# Open and read the file
if (open(FILE, $file)) {
	while (my $line = <FILE>) {
		print $line;
	}
	close(FILE);
}
